Apache JMeter

## org.apache.jmeter.engine
Interface RemoteJMeterEngine

All Superinterfaces:
  Remote

All Known Implementing Classes:
  RemoteJMeterEngineImpl

    public interface RemoteJMeterEngine

extends Remote

Method Summary
`void` `configure(HashTree testTree, String host)`
`void` `exit()`
`void` `reset()`
`void` `runTest()`
`void` `setProperties(Properties p)`
`void` `stopTest()`

Method Detail

### configure

    void configure(HashTree testTree,
                   String host)
                   throws RemoteException

  Throws:
    `RemoteException`

### runTest

    void runTest()
                 throws RemoteException,
                        JMeterEngineException

  Throws:
    `RemoteException`
    `JMeterEngineException`

### stopTest

    void stopTest()
                  throws RemoteException

  Throws:
    `RemoteException`

### reset

    void reset()
               throws RemoteException

  Throws:
    `RemoteException`

### setProperties

    void setProperties(Properties p)
                       throws RemoteException

  Throws:
    `RemoteException`

### exit

    void exit()
              throws RemoteException

  Throws:
    `RemoteException`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.